# Generated from octopart-ruby-0.1.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name octopart-ruby

Name: rubygem-%{gem_name}
Version: 0.1.2
Release: 1%{?dist}
Summary: Ruby wrapper for the Octopart API
License: MIT
URL: http://github.com/parkerboundy/octopart-ruby
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(shoulda)
# BuildRequires: rubygem(yard) >= 0.8.3
# BuildRequires: rubygem(yard) < 0.9
# BuildRequires: rubygem(jeweler) >= 1.8.4
# BuildRequires: rubygem(jeweler) < 1.9
# BuildRequires: rubygem(simplecov) >= 0.7.1
# BuildRequires: rubygem(simplecov) < 0.8
# BuildRequires: rubygem(fakeweb) >= 1.3.0
# BuildRequires: rubygem(fakeweb) < 1.4
BuildArch: noarch

%description
Ruby wrapper for the Octopart API.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/examples
%{gem_instdir}/octopart-ruby.gemspec
%{gem_instdir}/test

%changelog
* Tue Apr 19 2022 mockbuilder - 0.1.2-1
- Initial package
